Crux: BRE/WFE - Task #17853

WSC: WFinstanceMarkDone()
15/02/2024 09:40 AM - Sachin Divekar

Status: Closed Start date: 14/03/2024
Priority: Normal Due date: 23/03/2024
Assignee: Tushar Bhingare % Done: 100%
Category: Estimated time: 72.00 hours
Target version: Sprint 29 Mar

Description

Associated revisions

Revision bd45f93f - 20/03/2024 03:45 PM - Abhishek Jayswal (Tantiv4)
refs redmine #17853,Implementation:MarkDone() API and bug fixes in DoMatch()

Revision ced47ddf - 26/03/2024 06:50 PM - Abhishek Jayswal (Tantiv4)
refs redmine #17853, Modified: Mardone API to addressed the SubworkFlow

Revision 889b7a9e - 17/04/2024 01:47 PM - remiges-Tushar
refs #17853 Refactored DoMarkDone function

Revision 8d7f8363 - 17/04/2024 01:48 PM - Tushar Bhingare
Merge pull request #178 from remiges-Tushar/wsc
refs #17853 Refactored DoMarkDone function

Revision 1cefac44 - 18/04/2024 12:51 AM - remiges-Tushar

refs #17853 add automated unit test case for WFInstanceMarkDone

Revision 624193cc - 18/04/2024 12:52 AM - Tushar Bhingare
Merge pull request #180 from remiges-Tushar/wsc
refs #17853 add automated unit test case for WFInstanceMarkDone

Revision 3588a45e - 03/05/2024 12:14 AM - remiges-Tushar

refs: #17853 Add validation for correct step in wfinstancemardone request payload

Revision a5fcf91f - 03/05/2024 12:16 AM - Tushar Bhingare

Merge pull request #196 from remiges-Tushar/wsc

refs: #17853 Add validation for correct step in wfinstancemardone request payload

Revision 5e116a67 - 14/05/2024 06:15 PM - remiges-Tushar

refs #17853: Resolved issue with default date population in doneAt field in wfinstancemarkdone()

Revision f7c8bb25 - 20/11/2024 11:06 PM - remiges.tusharbhingare
#17853 fix if tasks are nil

Revision d639b22b - 23/12/2024 03:18 PM - remiges.tusharbhingare
#17853 add bool in ordertype

Revision 1f23498e - 27/12/2024 11:25 AM - remiges.tusharbhingare
#17853 UpdateWFInstanceStep when one task in actionset
Revision 47da7ce5 - 04/02/2025 06:39 PM - remiges.tusharbhingare
#17853 UpdateWFInstanceStep when one task in actionset

History

#1 - 16/02/2024 04:42 PM - Shuvam Misra
- Target version set to Sprint 15 Mar

- Assignee set to Abhishek Jayswal (Tantiv4)
- Due date set to 15/03/2024

#2 - 13/03/2024 05:40 PM - Abhishek Jayswal (Tantiv4)
- Start date set to 14/03/2024

- Status changed from New to In Progress

#3 - 19/03/2024 03:12 PM - Abhishek Jayswal (Tantiv4)
- Estimated time set to 40.00 h

#4 - 20/03/2024 03:27 PM - Shuvam Misra
- Target version changed from Sprint 15 Mar to Sprint 29 Mar

#5 - 20/03/2024 03:46 PM - Abhishek Jayswal (Tantiv4)
- Estimated time changed from 40.00 h to 72.00 h

- % Done changed from 0 to 50

- Due date changed from 15/03/2024 to 23/03/2024

Completed the MarkDone() APl implementation.

#6 - 26/03/2024 07:00 PM - Abhishek Jayswal (Tantiv4)
- % Done changed from 50 to 60

Moving to Testing.Will start writing the testcase for MARKDONE

#7 - 30/03/2024 09:56 PM - Abhishek Jayswal (Tantiv4)

writing test cases and reading go-lang docs

#8 - 03/04/2024 06:24 PM - Shuvam Misra
- Assignee changed from Abhishek Jayswal (Tantiv4) to Aniket Shinde

- Status changed from In Progress to Testing

#9 - 03/04/2024 06:24 PM - Shuvam Misra

- Assignee changed from Aniket Shinde to Tushar Bhingare

#10 - 18/04/2024 12:59 AM - Tushar Bhingare
- % Done changed from 60 to 100

- Status changed from Testing to Closed
Add automated unit test case for WFInstanceMarkDone using complete UCC workflow
#11 - 03/05/2024 12:15 AM - Tushar Bhingare

| added new validation to ensure that the correct step is provided for the instance ID in the wfinstancemardone request payload. This validation helps
maintain data integrity and ensures that the workflow instance is properly handled.
